package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_开工信息对象 zsyz_kgxx
 * 
 * @author boman
 * @date 2023-02-22
 */
public class ZsyzKgxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 开工日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开工日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kgrq;

    /** 拟竣工日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟竣工日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date njgrq;

    /** 试生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "试生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sscrq;

    /** 拟投产时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟投产时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ntcsj;

    /** 入统时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入统时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rtsj;

    /** 拟入统时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟入统时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nrtsj;

    /** 开工跟进人手机号 */
    @Excel(name = "开工跟进人手机号")
    private String kggjrsjh;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setKgrq(Date kgrq) 
    {
        this.kgrq = kgrq;
    }

    public Date getKgrq() 
    {
        return kgrq;
    }
    public void setNjgrq(Date njgrq) 
    {
        this.njgrq = njgrq;
    }

    public Date getNjgrq() 
    {
        return njgrq;
    }
    public void setSscrq(Date sscrq) 
    {
        this.sscrq = sscrq;
    }

    public Date getSscrq() 
    {
        return sscrq;
    }
    public void setNtcsj(Date ntcsj) 
    {
        this.ntcsj = ntcsj;
    }

    public Date getNtcsj() 
    {
        return ntcsj;
    }
    public void setRtsj(Date rtsj) 
    {
        this.rtsj = rtsj;
    }

    public Date getRtsj() 
    {
        return rtsj;
    }
    public void setNrtsj(Date nrtsj) 
    {
        this.nrtsj = nrtsj;
    }

    public Date getNrtsj() 
    {
        return nrtsj;
    }
    public void setKggjrsjh(String kggjrsjh) 
    {
        this.kggjrsjh = kggjrsjh;
    }

    public String getKggjrsjh() 
    {
        return kggjrsjh;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("kgrq", getKgrq())
            .append("njgrq", getNjgrq())
            .append("sscrq", getSscrq())
            .append("ntcsj", getNtcsj())
            .append("rtsj", getRtsj())
            .append("nrtsj", getNrtsj())
            .append("kggjrsjh", getKggjrsjh())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
